<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/background"
    android:orientation="vertical">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="52dp"
        android:id="@+id/keyboard_container"
        android:paddingStart="12dp"
        android:paddingEnd="8dp">
        <ImageView
            android:id="@+id/key_abc"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:src="@drawable/jump_to_the_keyboard"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

        <ImageView
            android:id="@+id/key_vip"
            android:layout_width="115dp"
            android:layout_height="35dp"
            android:layout_alignParentEnd="true"
            android:src="@drawable/jump_to_vip"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/keyboard_row_1"
        android:paddingStart="4dp"
        android:paddingEnd="4dp"
        android:orientation="horizontal">
        <!-- 粘贴框和人设 -->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical">
            <!-- 粘贴框 -->
            <HorizontalScrollView
                android:id="@+id/completion_scroll"
                android:layout_width="match_parent"
                android:layout_height="41dp"
                android:overScrollMode="never"
                android:scrollbars="none"
                android:paddingStart="8dp"
                android:paddingEnd="8dp"
                android:background="@drawable/keyboard_button_bg3"
                android:fillViewport="false">

                <LinearLayout
                    android:id="@+id/completion_container"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:orientation="horizontal">
                    <ImageView
                        android:layout_width="13dp"
                        android:layout_height="13dp"
                        android:src="@drawable/copy_the_message"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:text="Paste Ta's words"
                        android:textColor="#02BEAC"
                        android:textSize="13sp" />
                </LinearLayout>
            </HorizontalScrollView>

            <!-- 人设 -->
            <ScrollView
                android:layout_width="match_parent"
                android:layout_marginTop="4dp"
                android:layout_height="131dp"
                android:scrollbars="none">
                <com.google.android.flexbox.FlexboxLayout
                    android:id="@+id/persona_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:flexDirection="row"
                    app:flexWrap="wrap"
                    app:justifyContent="space_between">

                    <!-- 卡片 -->
                    <LinearLayout
                        android:layout_width="90dp"
                        android:layout_height="41dp"
                        android:layout_marginBottom="4dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:background="@drawable/keyboard_button_bg3">
                        <de.hdodenhof.circleimageview.CircleImageView
                            android:id="@+id/avatar"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:src="@drawable/default_avatar"
                            android:clickable="true"
                            android:focusable="true"/>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            android:text="Humor"
                            android:textColor="#1B1F1A"
                            android:textSize="13sp"/>
                    </LinearLayout>
                    <!-- ```````````````` -->

                </com.google.android.flexbox.FlexboxLayout>
            </ScrollView>


        </LinearLayout>
        <!-- 操作 -->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/keyboard_button_1"
            android:layout_marginStart="4dp"
            android:orientation="vertical">
            <LinearLayout
                android:id="@+id/keyboard_button_Paste"
                android:layout_width="60dp"
                android:layout_height="41dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:background="@drawable/keyboard_button_bg1">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Paste"
                    android:textColor="#FFFFFF"
                    android:textSize="13sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/keyboard_button_Delete"
                android:layout_width="60dp"
                android:layout_height="41dp"
                android:layout_marginTop="4dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:background="@drawable/keyboard_button_bg2">
                <ImageView
                    android:layout_width="23dp"
                    android:layout_height="14dp"
                    android:src="@drawable/keyboard_icon_voice"/>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/keyboard_button_Clear"
                android:layout_width="60dp"
                android:layout_marginTop="4dp"
                android:layout_height="41dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:background="@drawable/keyboard_button_bg2">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Clear"
                    android:textColor="#1B1F1A"
                    android:textSize="13sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/keyboard_button_Send"
                android:layout_width="60dp"
                android:layout_marginTop="4dp"
                android:layout_height="41dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:background="@drawable/keyboard_button_bg1">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Send"
                    android:textColor="#FFFFFF"
                    android:textSize="13sp" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
